/* 结束流程按钮 */


var angular = require('angular');
require('../modules');
require('../services/DefaultWorkflowService');

var module = angular.module('flowmodulebutton.directives');

/**
  <sino-flow-finish-button
    record-id="" 业务id
    flow-type="" 流程类型
    subflag-value="" 流程状态 默认值'2'
    title="" 文件名称
    show="" 展示的权限 默认false
    flag="" 停止的方式 默认'0'
  >
  </sino-flow-finish-button>
 */
module.directive('sinoFlowFinishButton', function(DefaultWorkflowService) {
  
  return {
    restrict: 'E',
    require: '^sinoFlowButtonBar',
    template: '<sino-flow-base-finish-button tag="结束流程" button-id="finish" subflag-value="2"></sino-flow-base-finish-button>',
    replace: true
  };
});
